#!/bin/bash -f
# ****************************************************************************
# Vivado (TM) v2018.1 (64-bit)
#
# Filename    : compile.sh
# Simulator   : Mentor Graphics ModelSim Simulator
# Description : Script for compiling the simulation design source files
#
# Generated by Vivado on Wed Jun 03 12:51:27 EDT 2020
# SW Build 2188600 on Wed Apr  4 18:39:19 MDT 2018
#
# Copyright 1986-2018 Xilinx, Inc. All Rights Reserved.
#
# usage: compile.sh
#
# ****************************************************************************
bin_path="/home/mbenoit/UsefulSoftware/modelsim/modelsim_ase/bin"
ExecStep()
{
"$@"
RETVAL=$?
if [ $RETVAL -ne 0 ]
then
exit $RETVAL
fi
}
ExecStep source pulser_sim_compile.do 2>&1 | tee -a compile.log
